al_make_temp_file(3)

NAME

al_make_temp_file - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    ALLEGRO_FILE *al_make_temp_file(const char *template, ALLEGRO_PATH **ret_path)

DESCRIPTION

Make a temporary randomly named file given a filename 'template'.

'template' is a string giving the format of the generated filename and should include one or more capital Xs. The Xs are replaced with random alphanumeric characters, produced using a simple pseudo-random number generator only. There should be no path separators.

If 'ret_path' is not NULL, the address it points to will be set to point to a new path structure with the name of the temporary file.

Returns the opened ALLEGRO_FILE(3) on success, NULL on failure.